Package org.eclipse.emf.cdo.eresource

## Interface CDOFileResource<IO>

- All Superinterfaces:
    `CDOObject`, `CDOResourceLeaf`, `CDOResourceNode`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Subinterfaces:
    `CDOBinaryResource`, `CDOTextResource`
  All Known Implementing Classes:
    `CDOBinaryResourceImpl`, `CDOFileResourceImpl`, `CDOTextResourceImpl`

      public interface CDOFileResource<IO>
      extends CDOResourceLeaf

  A representation of the model object 'CDO File Resource'.
  Since:
    4.1
  See Also:
    `EresourcePackage.getCDOFileResource()`
  Generated
  Model
    abstract="true"
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `ROOT_NAME, ROOT_PATH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOLob<IO>` | `getContents()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `delete, getBasename, getExtension, getFolder, getName, getPath, getURI, isRoot, setBasename, setExtension, setFolder, setName, setPath, trimExtension`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getContents

          CDOLob<IO> getContents()

      Generated
      Model
        kind="operation" dataType="org.eclipse.emf.cdo.etypes.Lob<IO>" required="true"